Page MenuHomePhabricator

in ContentTranslation, by default don't insert source text in language pairs of different direction and without MT
Closed, ResolvedPublic1 Story Points

Description

When translating between two languages with different direction in which MT is not available, pasting the source text is not useful, because moving the caret in a paragraph with reverse directionality is too cumbersome.

It's easier to simply start from an empty paragraph. This should therefore be the default for such languages.

Event Timeline

Amire80 created this task.May 20 2015, 8:53 PM
Amire80 raised the priority of this task from to Normal.
Amire80 updated the task description. (Show Details)
Amire80 added a project: ContentTranslation.
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 20 2015, 8:53 PM
santhosh edited a custom field.May 25 2015, 9:53 AM

Change 213531 had a related patch set uploaded (by Santhosh):
Language pairs of different direction and without MT: No default translation

https://gerrit.wikimedia.org/r/213531

santhosh moved this task from Backlog to In Progress on the LE-Sprint-87 board.May 25 2015, 11:59 AM
santhosh moved this task from In Progress to In Review on the LE-Sprint-87 board.

Change 213531 merged by jenkins-bot:
Language pairs of different direction and without MT: No default translation

https://gerrit.wikimedia.org/r/213531

Amire80 closed this task as Resolved.May 27 2015, 9:04 AM
Amire80 removed a project: Patch-For-Review.
Amire80 moved this task from In Review to Done on the LE-Sprint-87 board.